/**
 * Created by rockyl on 2018/11/5.
 */

import {ScillaComponent} from "scilla";

export default class ZoomLoop extends ScillaComponent{

	onUpdate(t) {
		super.onUpdate(t);

		this.transform.scale.x = this.transform.scale.y = Math.abs(Math.sin(t * 0.001)) * 0.15 + 1;
	}
}
